Functions

# ai_tunnel.cpp File Reference

Implementation of AITunnel. More...

`#include "../../stdafx.h"`
`#include "ai_tunnel.hpp"`
`#include "ai_rail.hpp"`
`#include "../ai_instance.hpp"`
`#include "../../tunnel_map.h"`
`#include "../../command_func.h"`

Go to the source code of this file.

## Functions
static void | _DoCommandReturnBuildTunnel2 (class AIInstance *instance)
| Helper function to connect a just built tunnel to nearby roads.
static void | _DoCommandReturnBuildTunnel1 (class AIInstance *instance)
| Helper function to connect a just built tunnel to nearby roads.

## Detailed Description

Implementation of AITunnel.

Definition in file ai_tunnel.cpp.

## Function Documentation

static void _DoCommandReturnBuildTunnel1 | ( | class AIInstance * | instance | ) | `[static]`

Helper function to connect a just built tunnel to nearby roads.

Parameters:

  | instance | The AI we have to built the road for.

Definition at line 69 of file ai_tunnel.cpp.

References AITunnel::_BuildTunnelRoad1(), and AIInstance::DoCommandReturn().

Referenced by AITunnel::BuildTunnel().

static void _DoCommandReturnBuildTunnel2 | ( | class AIInstance * | instance | ) | `[static]`

Helper function to connect a just built tunnel to nearby roads.

Parameters:

  | instance | The AI we have to built the road for.

Definition at line 53 of file ai_tunnel.cpp.

References AITunnel::_BuildTunnelRoad2(), and AIInstance::DoCommandReturn().

Referenced by AITunnel::_BuildTunnelRoad1().